import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../../../components/common/ExpandableCard";
import { useTranslation } from "react-i18next";
import SurroundSoundRoundedIcon from "@material-ui/icons/SurroundSoundRounded";

import KeyOverwriteSummary from "./KeyOverwriteSummary";

const KeyOverwriteCard = ({ data }) => {
  const { t } = useTranslation();

  return (
    <ExpandableCard
      Icon={<SurroundSoundRoundedIcon />}
      title={t("Server.ActiveSession")}
      subtitle={t("Server.ActiveSessionSubtitle")}
      Summary={<KeyOverwriteSummary data={data} />}
      Content={<div>CONTENT...</div>}
    />
  );
};

KeyOverwriteCard.propTypes = {
  data: PropTypes.object.isRequired
};

export default KeyOverwriteCard;
